BSD-FAQ-it
Indietro | Capitolo 7. Lavorare con il Kernel | Avanti

# 7.2. Il file di configurazione del Kernel

Il file di configurazione del Kernel è un semplice file di testo che si trova nella directory /usr/src/sys/i386/conf/, di seguito possiamo vedere il contenuto di questa directory relativamente ad una FreeBSD 5.0-CURRENT

    [root@picard root]# ls -l /usr/src/sys/i386/conf/
    total 74
    -rw-r--r-- 1 root wheel  9002 Dec 31 06:35 GENERIC
    -rw-r--r-- 1 root wheel  2113 Dec  5 23:49 GENERIC.hints
    -rw-r--r-- 1 root wheel   253 Jul 15  2002 Makefile
    -rw-r--r-- 1 root wheel 33754 Nov  8 21:04 NOTES
    -rw-r--r-- 1 root wheel  8519 Oct 13 18:29 OLDCARD
    -rw-r--r-- 1 root wheel  3991 Jul 26  2002 gethints.awk

ecco il contenuto della directory /usr/src/sys/i386/conf relativamente a un sistema FreeBSD 4.8-STABLE

    # ls /usr/src/sys/i386/conf
    total 136
    drwxr-xr-x   2 root  wheel     512 Aug  2 19:15 ./
    drwxr-xr-x  12 root  wheel     512 Jun  9 12:02 ../
    -rw-r--r--   1 root  wheel    9763 Apr 28 05:41 GENERIC
    -rw-r--r--   1 root  wheel  103685 Jul 17 18:41 LINT
    -rw-r--r--   1 root  wheel    9938 Jun  9 11:47 PICARD

il Kernel che viene installato come default dal processo di installazione e viene identificato dal file /usr/src/sys/i386/conf/GENERIC. Per individuare al meglio le caratteristiche di un sistema è buona norma assegnare al Kernel lo stesso nome della macchina (hostname). Nel nostro caso abbiamo proceduto con la creazione di un file che identifichi in maniera univoca il Kernel per il sistema PICARD. Copiamo ora il file GENERIC in PICARD

    [root@picard root]# cp /usr/src/sys/i386/conf/GENERIC /usr/src/sys/i386/conf/PICARD

A questo punto possiamo visualizzare ed eventualmente modificare il contenuto del file, in particolare ci soffermeremo su quelle linee che possono essere di maggiore interesse per il nostro sistema. Per evitare la compilazione di inutili device, le svariate righe relative alla configurazione delle devices stesse, possono essere commentate con il simbolo #. Nel caso specifico l'host Picard è un sistema k6/3D 300Mhz, il file PICARD, appena creato, definirà un Kernel ottimizzato per la nostra architettura

    machine i386 # si specifica l'architettura del sistema
    cpu I586_CPU # supporto per processori di classe 586 (AMD k6)
    ident PICARD # il nome del Kernel
    maxusers 0   # controlla il numero di risorse disponibili

Come abbiamo detto, è anche possibile abilitare o disabilitare alcune device addizionali, per esempio, possono essere disabilitati alcuni controller SCSI, se non presente può essere disabilitato il supporto USB oppure il supporto al firewire ed altro ancora. Nel nostro caso, l'host Picard non ha periferiche SCSI collegate.

Il file /usr/src/sys/i386/conf/NOTES, per le versioni 5 e il file /usr/src/sys/i386/conf/LINT, per le versioni 4-STABLE, contiene una lista di possibili configurazioni del Kernel che riguarda opzioni o device, i commenti ivi contenuti spiegano tutte le funzionalità relative. Conclusa la fase di editazione del custom Kernel, che abbiamo costruito ad immagine del nostro sistema di riferimento PICARD, si procederemo con salvataggio del file /usr/src/sys/i386/conf/PICARD.

Indietro | Partenza | Avanti
Lavorare con il Kernel | Risali | Mantenere i sorgenti del sistema aggiornati